''
'' example-program for using dislin-routines via Freebasic/Linux
'' program name 'simplel1.bas' - for Linux, Unix
'' October 2005
'' concerning the header of dislin-8.4.
''
'' by Hans L. Nemeschkal, Department of Theoretical Biology, University of Vienna, Althanstrasse 14, A-1090 Vienna, Austria, European Union
''
'' Hans.Leo.Nemeschkal@univie.ac.at
''
'' Note that calls of dislin-routines from FreeBASIC are principally composed as
'' 'd' + the 'original name of the dislin-routine'. The prefix 'd' should mark the call as concerning dislin.
'' The parameter definitions of dislin-routines, however, remain unchanged (see the dislin documentation and compare the header files!)
''
'' For instance, the dislin-routine 'setfil' must be called in FreeBASIC as 'dsetfil'. The parameter definitions for the
'' call remain unchanged as (byval cfil as byte ptr) in FreeBASIC  whereas (char *cfil) in the original dislin C-code.
''
''
'' compile with Freebasic as fbc -v simplel1.bas
''
''
'' include the dislin-header - Freebasic/Linux
'$include: "dislinl.bi"


pic$ = "simply"
picf$ = "pdf"
pagf$ = "da4l"
text$ = "Note - a simple dislin-test (Linux, Unix)!"

'' define pointers
dim cfil as byte pointer
dim cpag as byte pointer
dim cstr as byte pointer
dim xxx as single
dim yyy as single


xxx = 1.22 :yyy = 2.7
cfil = STRPTR(pic$)
cstr = STRPTR(picf$)
cpag = STRPTR(pagf$)
	 CALL dsetfil(cfil)
	 CALL dmetafl(cstr)
	 CALL dsetpag(cpag)
	 CALL ddisini()
cstr = STRPTR(text$)
	 CALL dmessag(cstr,120,140)
nx = 520 :ny = 520 :nu = 700 :nv = 520
	 CALL dline (nx,ny,nu,nv)
	 CALL dcircle(700,720,100)
	 CALL dellips(1000,1000,90,40)
	 CALL ddisfin()

end


